{
  "schema_version": "1.4.0",
  "id": "GHSA-c36p-gqxq-hcgq",
  "modified": "2022-05-02T03:29:59Z",
  "published": "2022-05-02T03:29:59Z",
  "aliases": [
    "CVE-2009-1935"
  ],
  "details": "Integer overflow in the pipe_build_write_buffer function (sys/kern/sys_pipe.c) in the direct write optimization feature in the pipe implementation in FreeBSD 7.1 through 7.2 and 6.3 through 6.4 allows local users to bypass virtual-to-physical address lookups and read sensitive information in memory pages via unspecified vectors.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1935"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/51109"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/55044"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35398"
    },
    {
      "type": "WEB",
      "url": "http://security.freebsd.org/advisories/FreeBSD-SA-09:09.pipe.asc"
    },
    {
      "type": "WEB",
      "url": "http://security.freebsd.org/patches/SA-09:09/pipe.patch"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35279"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1022365"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-06-18T18:30:00Z"
  }
}